.PHONY: default
default: generate

.PHONY: generate
generate: vendor

jsonnetfile.lock.json: jsonnetfile.json
	jb update

.PHONY: vendor-jsonnet
vendor-jsonnet: jsonnetfile.lock.json
	jb install

.PHONY: vendor-charts
vendor-charts: chartfile.yaml
	tk tool charts vendor --prune

.PHONY: remove-vendored-charts
remove-vendored-charts:
	scripts/remove-vendored-charts

.PHONY: ensure-vendored-charts
ensure-vendored-charts: remove-vendored-charts vendor-charts
	git diff --exit-code -- charts || (echo "Please run 'make vendor-charts'" >&2 && exit 1)

.PHONY: vendor
vendor: vendor-charts vendor-jsonnet
